## ros-melodic-iris-lama-ros 1.1.0

=== debian/changelog ===
ros-melodic-iris-lama-ros (1.1.0-1stretch) stretch; urgency=high

  * Add "truncate" parameters
  * Add a service to trigger global localization
  * Add a service to trigger localization non-motion updates
  * Localization node can now subscribe to maps instead of just using the static_map service
  * Enable TCP_NODELAY for laser scan subscribers to reduce communications delay
  * Filter "map" transformations when mapping offline
  * Fix inverted lidar
  * Use C++14
  * Fix eigen aligment issues

 -- Eurico Pedrosa <efp@ua.pt>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-iris-lama-ros (1.0.0-1stretch) stretch; urgency=high

  * First official release.

 -- Eurico Pedrosa <efp@ua.pt>  Tue, 05 May 2020 00:00:00 -0000

## ros-melodic-iris-lama-ros 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(iris_lama_ros)

# Default to release mode.
if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

find_package(Eigen3 REQUIRED NO_MODULE)
# find_package(iris_lama REQUIRED)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(catkin REQUIRED COMPONENTS
    tf
    roscpp
    rosbag
    nav_msgs
    sensor_msgs
    tf_conversions
    geometry_msgs
    message_filters
    visualization_msgs
    rosbag_storage
    iris_lama
    std_srvs
)

catkin_package()

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(include ${catkin_INCLUDE_DIRS})
add_subdirectory(src)

#############
## Install ##
#############

install(DIRECTORY launch/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
    PATTERN ".svn" EXCLUDE
)

=== src/CMakeLists.txt ===

add_executable(loc2d_ros loc2d_ros.cpp)
target_link_libraries(loc2d_ros ${catkin_LIBRARIES})

add_executable(slam2d_ros slam2d_ros.cpp offline_replay.cpp)
target_link_libraries(slam2d_ros ${catkin_LIBRARIES})

add_executable(pf_slam2d_ros pf_slam2d_ros.cpp offline_replay.cpp)
target_link_libraries(pf_slam2d_ros ${catkin_LIBRARIES})

install(TARGETS loc2d_ros slam2d_ros pf_slam2d_ros
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-iris-lama-ros (1.2.0-1bionic) bionic; urgency=high

  * Remove backlash from frame ids
  * Fix laser orientation checks in the localization node
  * Add launch file for localization node
  * Remove backlash from global namespace topics
  * Publish localization covariance

 -- Eurico Pedrosa <efp@ua.pt>  Fri, 09 Apr 2021 23:00:00 -0000

ros-melodic-iris-lama-ros (1.1.0-1bionic) bionic; urgency=high

  * Add "truncate" parameters
  * Add a service to trigger global localization
  * Add a service to trigger localization non-motion updates
  * Localization node can now subscribe to maps instead of just using the static_map service
  * Enable TCP_NODELAY for laser scan subscribers to reduce communications delay
  * Filter "map" transformations when mapping offline
  * Fix inverted lidar
  * Use C++14
  * Fix eigen aligment issues

 -- Eurico Pedrosa <efp@ua.pt>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-iris-lama-ros (1.0.0-1bionic) bionic; urgency=high

  * First official release.

 -- Eurico Pedrosa <efp@ua.pt>  Mon, 04 May 2020 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-iris-lama-ros
Section: misc
Priority: optional
Maintainer: Eurico Pedrosa <efp@ua.pt>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-iris-lama, ros-melodic-message-filters, ros-melodic-nav-msgs, ros-melodic-rosbag, ros-melodic-rosbag-storage, ros-melodic-roscpp, ros-melodic-std-srvs, ros-melodic-tf, ros-melodic-tf-conversions, ros-melodic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-iris-lama-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-iris-lama, ros-melodic-message-filters, ros-melodic-nav-msgs, ros-melodic-rosbag, ros-melodic-rosbag-storage, ros-melodic-roscpp, ros-melodic-std-srvs, ros-melodic-tf, ros-melodic-tf-conversions, ros-melodic-visualization-msgs
Description: ROS package of IRIS Localization and Mapping (LaMa).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-iris-lama-ros//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
